Uploaded image for project: 'Tools (JBoss Tools)'
  1. Tools (JBoss Tools)
  2. JBIDE-12088

merge all Teiid requirement builders (7.4 - 8.0) into a single target?

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: 3.3.0.CR1, 4.0.0.Alpha1
    • Fix Version/s: 4.0.0.Alpha1
    • Component/s: teiid
    • Labels:
      None

      Description

      Currently, there are 5 requirements builders for Teiid, from 7.4 - 8.0.Alpha1 (http://anonsvn.jboss.org/repos/jbosstools/trunk/requirements/).

      You could, like with SOA-P, merge these into a single builder so that it's easier to run tests against all supported runtimes via a single target.

      Thus your tests' requirements.properties file would read:

      requirements=teiid

      instead of

      requirements=teiid-7.4.0.Final,teiid-7.5.0.Final,teiid-7.6.0.Final,teiid-8.0.0.Alpha1

      Would this be useful?

      If so, see attached patch.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  elvisisking Daniel Florian
                  Reporter:
                  nickboldt Nick Boldt
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  3 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: